import { useEffect } from 'react';
import { useRouteMatch } from 'react-router-dom';
import { useDispatch,useSelector } from 'react-redux';




import s from './DetailGood.module.css';
import { asyncGetGoodById } from '../../../redux/goods/operations';
import { getGood} from '../../../redux/goods/selector';

function DetailCategory() {
  const { params:{id} } = useRouteMatch();
  const dispatch = useDispatch();
  const good = useSelector(getGood);


  useEffect(() => {
    dispatch(asyncGetGoodById(id))
  }, [dispatch, id]);


  return (
      good.length !== 0 &&(
        <div className={s.detailGood_wrapper}>
        <p>name : {good[0].name?good[0].name:'missed'}</p>
        <p>createdAt : {good[0].createdAt?good[0].createdAt:'missed'}</p>
        <p>description : {good[0].description?good[0].description:'missed'}</p>
        <img src={`http://shop-roles.asmer.fs.a-level.com.ua/${good[0].images&&good[0].images[0].url}`}
          alt='*it has to be pic of product*' width='200' height='200'></img>
        </div>
      )
  )
}
export default DetailCategory;
